Name:           python-virtualenv
Version:        16.0.0
Release:        6
Summary:        A tool to create isolated Python environments
License:        MIT
URL:            http://pypi.python.org/pypi/virtualenv
Source0:        http://pypi.python.org/packages/source/v/virtualenv/virtualenv-%{version}.tar.gz

Patch0:         check-exec_dir.patch
Patch1:         python26.patch
Patch2:         rpm-wheels.patch

BuildArch:      noarch
BuildRequires:  git-core python2-devel python3-devel python3-sphinx
BuildRequires:  python-pip-wheel python-setuptools-wheel python-wheel-wheel

%description
Virtualenv is a tool to create isolated Python environments. Since Python
3.3, a subset of it has been integrated into the standard library under
the venv module. Note though, that the venv module does not offer all
features of this library (e.g. cannot create bootstrap scripts, cannot
create virtual environments for other python versions than the host python,
not relocatable, etc.). Tools in general as such still may prefer using
virtualenv for its ease of upgrading (via pip), unified handling of different
Python versions and some more advanced features.

%package -n     python2-virtualenv
Summary:        Tool to create isolated Python environments
Requires:       python2-setuptools python2-devel python2-virtualenv-python26
%{?python_provide:%python_provide python2-virtualenv}
Requires:       python-pip-wheel python-setuptools-wheel python-wheel-wheel

%description -n python2-virtualenv
virtualenv support in python2.

%package -n     python2-virtualenv-python26
Summary:        Extra bits of virtuelenv only needed with Python 2.6
Requires:       python2-virtualenv = %{version}-%{release}
%{?python_provide:%python_provide python2-virtualenv-python26}
Provides:       bundled(python2dist(argparse)) = 1.4.0
Provides:       bundled(python2dist(pip)) = 9.0.3
Provides:       bundled(python2dist(setuptools)) = 36.8.0
Provides:       bundled(python2dist(wheel)) = 0.29.0

%description -n python2-virtualenv-python26
Tools that support for python2.6 virtual environments with python2.

%package -n     python3-virtualenv
Summary:        Tool to create isolated Python environments
Requires:       python3-setuptools python3-devel python3-virtualenv-python26
%{?python_provide:%python_provide python3-virtualenv}
Conflicts:      python2-virtualenv < 16.0.0-5
Provides:       virtualenv = %{version}-%{release}
Requires:       python-pip-wheel python-setuptools-wheel python-wheel-wheel

%description -n python3-virtualenv
virtualenv support in python3.

%package -n     python3-virtualenv-python26
Summary:        Extra bits of virtuelenv only needed with Python 2.6
Requires:       python3-virtualenv = %{version}-%{release}
%{?python_provide:%python_provide python3-virtualenv-python26}
Provides:       bundled(python2dist(argparse)) = 1.4.0
Provides:       bundled(python2dist(pip)) = 9.0.3
Provides:       bundled(python2dist(setuptools)) = 36.8.0
Provides:       bundled(python2dist(wheel)) = 0.29.0

%description -n python3-virtualenv-python26
Tools that support for python2.6 virtual environments with python3.

%prep
%autosetup -n virtualenv-%{version} -p1 -Sgit
sed -i -e "1s|#!/usr/bin/env python||" virtualenv.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-virtualenv
%license LICENSE.txt
%doc docs/*rst PKG-INFO AUTHORS.txt
%{python2_sitelib}/virtualenv.py*
%dir %{python2_sitelib}/virtualenv_support/
%{python2_sitelib}/virtualenv_support/__init__.py*
%{python2_sitelib}/virtualenv-*.egg-info/

%files -n python2-virtualenv-python26
%{python2_sitelib}/virtualenv_support/*.whl

%files -n python3-virtualenv
%license LICENSE.txt
%doc docs/*rst PKG-INFO AUTHORS.txt
%{_bindir}/virtualenv
%{python3_sitelib}/virtualenv.py
%dir %{python3_sitelib}/virtualenv_support/
%{python3_sitelib}/virtualenv_support/__init__.py
%{python3_sitelib}/virtualenv_support/__pycache__/
%{python3_sitelib}/virtualenv-*.egg-info/
%{python3_sitelib}/__pycache__/*

%files -n python3-virtualenv-python26
%{python3_sitelib}/virtualenv_support/*.whl

%changelog
* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 16.0.0-6
- Package init
